org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect

## Class GroupTestV3d0.Traversals

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect.GroupTestV3d0
      - - org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect.GroupTestV3d0.Traversals

- Enclosing class:
    GroupTestV3d0

  Deprecated.
  As of release 3.1.0-incubating

      @Deprecated
      public static class GroupTestV3d0.Traversals
      extends GroupTestV3d0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect.GroupTestV3d0

      `GroupTestV3d0.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Traversals()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `Traversal<Vertex,Map<String,Collection<Vertex>>>` | `get_g_V_group_byXnameX()` Deprecated.
    `Traversal<Vertex,Map<Long,Collection<String>>>` | `get_g_V_group_byXoutE_countX_byXnameX()` Deprecated.
    `Traversal<Vertex,Map<String,Collection<Vertex>>>` | `get_g_V_groupXaX_byXnameX_capXaX()` Deprecated.
    `Traversal<Vertex,Map<String,Long>>` | `get_g_V_hasXlangX_group_byXlangX_byX1X_byXcountXlocalXX()` Deprecated.
    `Traversal<Vertex,Map<String,Collection<String>>>` | `get_g_V_hasXlangX_groupXaX_byXlangX_byXnameX_out_capXaX()` Deprecated.
    `Traversal<Vertex,Map<String,Long>>` | `get_g_V_repeatXbothXfollowedByXX_timesX2X_group_byXsongTypeX_byX1X_byXcountXlocalXX()` Deprecated.
    `Traversal<Vertex,Map<String,Long>>` | `get_g_V_repeatXbothXfollowedByXX_timesX2X_groupXaX_byXsongTypeX_byX1X_byXcountXlocalXX_capXaX()` Deprecated.
    `Traversal<Vertex,Map<String,Long>>` | `get_g_V_repeatXout_groupXaX_byXnameX_by_byXcountXlocalXX_timesX2X_capXaX()` Deprecated.

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect.GroupTestV3d0

      `g_V_group_byXnameX, g_V_group_byXoutE_countX_byXnameX, g_V_groupXaX_byXnameX_capXaX, g_V_hasXlangX_group_byXlangX_byX1X_byXsizeX, g_V_hasXlangX_groupXaX_byXlangX_byXnameX_out_capXaX, g_V_repeatXbothXfollowedByXX_timesX2X_group_byXsongTypeX_byXcountX, g_V_repeatXbothXfollowedByXX_timesX2X_groupXaX_byXsongTypeX_byXcountX_capXaX, g_V_repeatXout_groupXaX_byXnameX_byXitX_byXsizeXX_timesX2X_capXaX`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRandomCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Traversals

          public Traversals()

      Deprecated.

  - ### Method Detail

    - #### get_g_V_group_byXnameX

          public Traversal<Vertex,Map<String,Collection<Vertex>>> get_g_V_group_byXnameX()

      Deprecated.
      Specified by:
        `get_g_V_group_byXnameX` in class `GroupTestV3d0`

    - #### get_g_V_groupXaX_byXnameX_capXaX

          public Traversal<Vertex,Map<String,Collection<Vertex>>> get_g_V_groupXaX_byXnameX_capXaX()

      Deprecated.
      Specified by:
        `get_g_V_groupXaX_byXnameX_capXaX` in class `GroupTestV3d0`

    - #### get_g_V_hasXlangX_groupXaX_byXlangX_byXnameX_out_capXaX

          public Traversal<Vertex,Map<String,Collection<String>>> get_g_V_hasXlangX_groupXaX_byXlangX_byXnameX_out_capXaX()

      Deprecated.
      Specified by:
        `get_g_V_hasXlangX_groupXaX_byXlangX_byXnameX_out_capXaX` in class `GroupTestV3d0`

    - #### get_g_V_hasXlangX_group_byXlangX_byX1X_byXcountXlocalXX

          public Traversal<Vertex,Map<String,Long>> get_g_V_hasXlangX_group_byXlangX_byX1X_byXcountXlocalXX()

      Deprecated.
      Specified by:
        `get_g_V_hasXlangX_group_byXlangX_byX1X_byXcountXlocalXX` in class `GroupTestV3d0`

    - #### get_g_V_repeatXout_groupXaX_byXnameX_by_byXcountXlocalXX_timesX2X_capXaX

          public Traversal<Vertex,Map<String,Long>> get_g_V_repeatXout_groupXaX_byXnameX_by_byXcountXlocalXX_timesX2X_capXaX()

      Deprecated.
      Specified by:
        `get_g_V_repeatXout_groupXaX_byXnameX_by_byXcountXlocalXX_timesX2X_capXaX` in class `GroupTestV3d0`

    - #### get_g_V_group_byXoutE_countX_byXnameX

          public Traversal<Vertex,Map<Long,Collection<String>>> get_g_V_group_byXoutE_countX_byXnameX()

      Deprecated.
      Specified by:
        `get_g_V_group_byXoutE_countX_byXnameX` in class `GroupTestV3d0`

    - #### get_g_V_repeatXbothXfollowedByXX_timesX2X_group_byXsongTypeX_byX1X_byXcountXlocalXX

          public Traversal<Vertex,Map<String,Long>> get_g_V_repeatXbothXfollowedByXX_timesX2X_group_byXsongTypeX_byX1X_byXcountXlocalXX()

      Deprecated.
      Specified by:
        `get_g_V_repeatXbothXfollowedByXX_timesX2X_group_byXsongTypeX_byX1X_byXcountXlocalXX` in class `GroupTestV3d0`

    - #### get_g_V_repeatXbothXfollowedByXX_timesX2X_groupXaX_byXsongTypeX_byX1X_byXcountXlocalXX_capXaX

          public Traversal<Vertex,Map<String,Long>> get_g_V_repeatXbothXfollowedByXX_timesX2X_groupXaX_byXsongTypeX_byX1X_byXcountXlocalXX_capXaX()

      Deprecated.
      Specified by:
        `get_g_V_repeatXbothXfollowedByXX_timesX2X_groupXaX_byXsongTypeX_byX1X_byXcountXlocalXX_capXaX` in class `GroupTestV3d0`

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.